## helma.main
Class CommandlineRunner

    java.lang.Object
      helma.main.CommandlineRunner

    public class CommandlineRunner

extends java.lang.Object

Helma command line runner class. This class creates and starts a single application, invokes a function in, writes its return value to the console and exits.

Constructor Summary
`CommandlineRunner()`

Method Summary
`static void` `main(java.lang.String[] args)` boot method for running a request from the command line.
`static void` `printUsageError()` print the usage hints
`static void` `printUsageError(java.lang.String msg)` print the usage hints and prefix them with a message.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommandlineRunner

    public CommandlineRunner()

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  boot method for running a request from the command line. This retrieves the Helma home directory, creates the app and runs the function.

  Parameters:
    `args` - command line arguments
  Throws:
    `java.lang.Exception` - if the Helma home dir or classpath couldn't be built

### printUsageError

    public static void printUsageError(java.lang.String msg)

  print the usage hints and prefix them with a message.

### printUsageError

    public static void printUsageError()

  print the usage hints

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.